The Egress Switch Client for Windows is available for Microsoft Windows XP or later.

These can be downloaded from our Switch Client Apps downloads page.

Please note: The minimum requirements displayed next to each download should be met as not all versions of the Switch Client are compatible with each version of Windows.

Our latest version of the Switch Client for Windows requires the following prerequisites:

  • Microsoft Windows Vista/7/8/8.1/10
  • Microsoft Office 2010/2013/2016
  • Microsoft Visual Studio 2010 Tools for Office Runtime
  • Microsoft .NET 4.5 or later

If you are not sure what version of the Switch Client for Windows is appropriate, please contact Customer Services who can assist you.

 



Have more questions? Submit a request